Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #1145

| started to code, | need m-tags support for audacious to tag files witthout tags, and all | need is a
(link to a) good documentation*

December 26, 2021 11:20 - Lars Ruhnke

Status: Closed Start date: December 26, 2021
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 4.1

Description

Dear Audacious Team,

| started to code a year ago, and bec | need m-tags support in audacious, | decided to start a little project where | will try to code a
plug-in for audacious that implements m-tags support.

All | need is a starting point, like an (official) documentation on how to create audacious plug-ins, or if it'd be wiser to create a stand
alone first, etc..

It's more a less a little project to learn, thank you for your help!

wbr
History

#1 - February 25, 2022 05:01 - Jim Turner

I'm surprised no one on the Aud. team has responded to this yet. I'm not a team member but a casual contributor, and | do work with the Audacious
code, mostly for a fork | started years ago (which | won't get into here), including a feature which stores metatag data into text-based "tag" files for
formats that don't support embedded tags. It doesn't involve nor need a plugin though. After a cursory glance at this format though, it doesn't look
like a big stretch to create an option to do this in mtag-format instead of the custom "tag=data\n" fmt. | use now. However, it looks like this format
could also be used as a possible playlist file format option as well, which would need a new playlist plugin similar to the m3u plugin. Anyway, | could
work with you some on this - drop me an email (see my redmine profile), I'd be curious to see your project!

Regards,

Jim
https://github.com/wildstar84

#2 - August 24, 2022 22:53 - John Lindgren

- Status changed from New to Closed

This doesn't sound like a good project for a beginner, in my opinion. If Jim wants to help with it, that's fine -- please submit a pull request when you
have something far enough along to want feedback.

Closing this ticket.
